VMTKSURFACEEXTRACTINNERCYLINDER(1)

NAME
vmtksurfaceextractinnercylinder - vmtk script vmtksurfaceextractinnercylinder

DESCRIPTION
Automatic piping vmtksurfaceextractinnercylinder Parsing options vmtksurfaceextractinnercylinder

vmtksurfaceextractinnercylinder : Extract inner surface from an

    annular-cylindric volume.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored

-lowthreshold EndcapsThresholdLow (int,1); default=0: lower

    threshold for encaps filtering

-highthreshold EndcapsThresholdHigh (int,1); default=1: higher

    threshold for encaps filtering

-doublesurfacefile DoubleSurfaceOutputFileName (str,1): filename

    for the default DoubleSurface writer

-coloredsurfacefile ColoredSurfaceOutputFileName (str,1): filename

    for the default ColoredSurface writer

-ofile InnerSurfaceOutputFileName (str,1): filename for the default

    InnerSurface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-doublesurface DoubleSurface (vtkPolyData,1): the double surface

    without caps

-coloredsurface ColoredSurface (vtkPolyData,1): the colored surface

-o InnerSurface (vtkPolyData,1): the innermost surface

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored